<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
| 	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	http://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are two reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['scaffolding_trigger'] = 'scaffolding';
|
| This route lets you set a "secret" word that will trigger the
| scaffolding feature for added security. Note: Scaffolding must be
| enabled in the controller in which you intend to use it.   The reserved 
| routes must come before any wildcard or regular expression routes.
|
*/

$route['default_controller'] = "home";
$route['scaffolding_trigger'] = "";

$route['hostelling_international'] = "home";
$route['hir/(:any)/(:num)'] = "blog/entry/$2";


/* magyar */
$route['szovetsegrol'] = "blog/entry/1/rolunk/szovetsegrol";
$route['standards'] = "blog/entry/2/rolunk/leirasok";
$route['vezetoseg'] = "blog/entry/3/rolunk/vezetoseg";
$route['alapszabaly'] = "blog/entry/4/rolunk/alapszabaly";
$route['tagdij'] = "blog/entry/5/rolunk/tagdij";
$route['partnereink'] = "blog/entry/11/rolunk/partnereink";
$route['kapcsolat'] = "blog/entry/6/rolunk/kapcsolat";
$route['hi_halozat'] = "blog/entry/7/hostelling_international/hi_halozat";
$route['hosteli_vilagszerte'] = "blog/entry/8/hostelling_international/hostelek_vilagszerte";
$route['hostelek_fenntarthatosag'] = "blog/entry/10/hostelling_international/hostelek_fenntarthatosag";

$route['szallasok'] = "home/szallasok";
$route['tagkartya'] = "home/tagkartya";
$route['hirek'] = "blog/search";
$route['esemenyek'] = "event/search";
$route['programs'] = "event/search";

/* angol */
$route['association'] = "blog/entry/1/rolunk/szovetsegrol";
$route['sztenderdek'] = "blog/entry/2/rolunk/leirasok";
$route['board'] = "blog/entry/3/rolunk/vezetoseg";
$route['constitution'] = "blog/entry/4/rolunk/alapszabaly";
$route['membershipfee'] = "blog/entry/5/rolunk/tagdij";
$route['partners'] = "blog/entry/11/rolunk/partnereink";
$route['contact'] = "blog/entry/6/rolunk/kapcsolat";
$route['hinetwork'] = "blog/entry/7/hostelling_international/hi_halozat";
$route['hostelsworldwide'] = "blog/entry/8/hostelling_international/hostelek_vilagszerte";
$route['sustainability'] = "blog/entry/10/hostelling_international/hostelek_fenntarthatosag";

$route['accommodations'] = "home/szallasok";
$route['membershipcard'] = "home/tagkartya";
$route['news'] = "blog/search";
$route['programs'] = "event/search";

/* magyar */
$route['beograd_hosteli'] = "webshop/search/group/1";
$route['novisad_hosteli'] = "webshop/search/group/2";
$route['nis_hosteli'] = "webshop/search/group/3";
$route['drugi_gradovi'] = "webshop/search/group/4";

/* angol */
$route['belgrade_hostels'] = "webshop/search/group/1";
$route['novisad_hostels'] = "webshop/search/group/2";
$route['nis_hostels'] = "webshop/search/group/3";
$route['other_locations'] = "webshop/search/group/4";


$route['szallas/(:any)/(:any)/(:num)/(:any)'] = "webshop/details/$3/$4";
$route['szallas/(:any)/(:any)/(:num)'] = "webshop/details/$3";

$route['szallaskereso/(:any)'] = "webshop/search/$1";
$route['szallaskereso'] = "webshop/search";

$route['lang/(:any)'] = "home/lang/$1";

$route['eng'] = "home/lang/hu";
$route['hun'] = "home/lang/en";
   //ovde dodas rutiranje za srpski jezik trebalo bi jos negde u kodu naci da doda i zastavicu

/* End of file routes.php */
/* Location: ./system/application/config/routes.php */