<?php

class Group extends MY_Admin {

	function Group()
	{
		parent::MY_Admin();
		$this->lang->load('user', $this->site_lang);
		$this->lang->load('general', $this->site_lang);

	}

	function reg()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('webshop_model', 'webshop', true);
		$this->load->model('blog_model', 'blog', true);
		$this->load->model('event_model', 'event', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');


		//Validálás
		$this->load->library('validation');
		$rules['gr_name_hu'] = "required";
		$this->validation->set_rules($rules);
		$this->validation->set_error_delimiters('<div class="error">', '</div>');
		$this->validation->set_message('required', '%s '. $this->lang->line('required_field_missing') );

		if ($this->validation->run() == FALSE) {
			$this->sm->assign('reg_mess', $this->validation->error_string);
		}
		else {
			//összerakjuk az adatokat a reghez
			$p_regdate = date('Y-m-d H:i:s');

			$p_pic = '';
			$this->sm->assign('group', $group);

			$data = array(
				'gr_owner' => $this->session->userdata('userid'),
				'gr_name_hu' => $this->input->post('gr_name_hu'),
				'gr_name_en' => $this->input->post('gr_name_en'),
				'gr_reg_date' => $p_regdate,
				'gr_status' => '1'
			);
			$grp_id = $this->group->add($data);

			if ($grp_id) {
				//sikeres regisztráció, logolás
				$this->log->log_message('[GRPREG][USERID:'.$this->session->userdata('userid').'][USERNAME:'.$p_firstname.' '.$p_lastname.'][GROUPID:'.$grp_id.'][GROUPNAME:'.$this->input->post('gr_name_hu').']', USER);
				//microsite beillesztés
				$data = array(
					'tags'=> $this->input->post('tags'),
					'ms_group' =>$grp_id,
					'ms_header' => $p_pic,
					'ms_shorturl'=> $this->input->post('ms_shorturl')
				);
				$this->group->msite_add($data);
				redirect(base_url().'admin/group/search/type/1');
			} else {
				$this->sm->assign('reg_mess', $this->lang->line('database_error') );
			}
			//reg vége
		}
		$this->sm->assign('content', 'group_reg.tpl');
	}

	function mod()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('webshop_model', 'webshop', true);
		$this->load->model('blog_model', 'blog', true);
		$this->load->model('event_model', 'event', true);

		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');


		//adatok visszaírása
		if (!$this->input->post('p_id')) {
			//ha nincs submit még...

			$p_id = $this->uri->rsegment(3);
			if (!$p_id) {redirect(base_url());}

			$group = $this->group->details($p_id);
			$ms = $this->group->msite_details($p_id);
			foreach ($ms as $key => $value) {
				$group["$key"] = $value;
			}
			$group['p_id'] = $p_id;
			$p_pic = $group['ms_header'];
		} else {
			//post visszaírása
			$posts = array();
			$data = array();
			foreach ($_POST as $key => $value) {
				$sm_key = substr_replace($key, 'gr_', 0, 2);
				$group["$key"] = $this->input->post($key);
			}
			$group['p_id'] = $this->input->post('p_id');
			$p_pic = $group['p_pic'];
			$gr_type = $this->input->post('gr_type');
		}
		$this->sm->assign('gr_type', $gr_type);

		//kép
		$group['p_pic_thumb'] = str_replace('.', '_thumb.', $p_pic);
		$group['p_pic'] = $p_pic;
		$this->sm->assign('group', $group);

		$this->sm->assign('page_title', $group['p_name_hu']);
		$this->sm->assign('grp_name', $group['p_name_hu']);
		$this->sm->assign('grp_id', $group['p_id']);

		//Validálás
		$this->load->library('validation');
		$rules['gr_name_hu'] = "required";

		$this->validation->set_rules($rules);
		$this->validation->set_error_delimiters('<div class="error">', '</div>');
		$this->validation->set_message('required', '%s '. $this->lang->line('required_field_missing') );

		if ($this->validation->run() == FALSE) {
			$this->sm->assign('reg_mess', $this->validation->error_string);
		}
		else {
			//összerakjuk az adatokat a reghez
			$this->sm->assign('group', $group);

			$data = array(
				'gr_owner' => $this->session->userdata('userid'),
				'gr_name_hu' => $this->input->post('gr_name_hu'),
				'gr_name_en' => $this->input->post('gr_name_en'),
				'gr_reg_date' => $p_regdate,
				'gr_status' => '1'
			);

			if ($this->group->mod($data, $this->input->post('p_id'))) {
				//sikeres módosítás, logolás
				$this->log->log_message('[GRPMOD][USERID:'.$this->session->userdata('userid').'][GROUPID:'.$this->input->post('p_id').'][GROUPNAME:'.$this->input->post('gr_name_hu').']', USER);
				//microsite modosítás
				$data = array(
					'tags'=> $this->input->post('tags'),
					'ms_shorturl'=> $this->input->post('ms_shorturl'),
					'ms_header' => $p_pic
				);
				$this->group->msite_mod($data, $this->input->post('p_id'));
				redirect(base_url().'admin/group/search/type/1');
			} else {
				$this->sm->assign('reg_mess', 'Adatmentési hiba!' );
			}
			//reg vége
		}

		$this->sm->assign('content', 'group_reg.tpl');
	}


	function inactivate()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('group_model', 'group', true);

		if (!($this->uri->rsegment(3) or $this->input->post('grp_id'))) {redirect(base_url());}

			$data = array(
				'gr_status' => '1'
			);

			$this->group->mod($data, $this->uri->rsegment(3));			
			redirect(base_url().'admin//group/search/');
	}

	function activate()
	{
		$this->load->model('log_model', 'log', true);
		$this->load->model('group_model', 'group', true);

		if (!($this->uri->rsegment(3) or $this->input->post('grp_id'))) {redirect(base_url());}

			$data = array(
				'gr_status' => '2'
			);

			$this->group->mod($data, $this->uri->rsegment(3));			
			redirect(base_url().'admin//group/search/');
	}
	
	function search()
	{
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->helper('form');
		$this->load->helper('my_sm_form_helper');

		if ( $this->input->post('search_string') ) {
			$search_string = $this->input->post('search_string');
			$this->sm->assign('search_string',$search_string);
			$filter = 'AND (gr_name_hu LIKE "%'.$search_string.'%") ';
		}
						
		//csoportok
		$res = $this->group->group_list("  ".$filter,'  ',' ORDER BY gr_reg_date DESC ',FALSE);
		if ($res) {
	  	$i = 0;
	  	$list = array();
	  	foreach ($res as $row) {
	  			$tmp = array(
	  						'name' => $row['gr_name_hu'],
	  						'gy1' => $row['gr_gyujto_1'],
	  						'gy2' => $row['gr_gyujto_2'],
	  						'id' => $row['gr_id']
	  			);
	  			$list[$i++] = $tmp;
	  	}
	  	$this->sm->assign('group_list',$list);
	  }		
		$this->sm->assign('content','content_group_list.tpl');		
	}

	function autocomplete()
	{
		$this->load->model('user_model', 'user', true);
		$this->load->helper('ajax');

		$this->ajax_request = 1;
		$q = $this->input->post('q');
		$table = $this->input->post('table');
		$field = $this->input->post('field');
		$filter = $this->input->post('filter');

		echo autocomplate($q, $table, $field, $filter);
	}

	function ajax_url_check()
	{
		$this->load->model('group_model', 'group', true);

		$this->ajax_request = 1;
		if ($this->input->post('p_id')) {$p_id = $this->input->post('p_id');} else {$p_id = 0;}
		$stat =  $this->group->validate_url($this->input->post('ms_shorturl'), $p_id);
		echo json_encode($stat);
	}
		
}
/* End of file group.php */
/* Location: ./system/application/controllers/group.php */