<?php

class Event extends MY_Controller {

	function Event()
	{
		parent::MY_Controller();
		$this->lang->load('user', $this->site_lang);
		$this->lang->load('general', $this->site_lang);
		$this->site_conf['active_menu'] = 'esemenyek';		
	}

	function entry()
	{
		$this->load->model('user_model', 'user', true);
		$this->load->model('group_model', 'group', true);
		$this->load->model('fav_model', 'fav', true);
		$this->load->model('webshop_model', 'webshop', true);
		$this->load->model('blog_model', 'blog', true);
		$this->load->model('comment_model', 'comment', true);
		$this->load->model('event_model', 'event', true);
		$this->load->library('groupfunc');
		$this->load->helper('utils');

		if (!$this->uri->rsegment(3))
			{redirect(base_url());};

		if ($this->uri->rsegment(4))
		{
			$e_row = $this->event->details_by_group($this->uri->rsegment(4));
			$id = $e_row['e_id'];
		} else
		{
			$id = $this->uri->rsegment(3);
			$e_row = $this->event->details($id);
		}

		$this->event->visit_inc($id);
		$group_data = $this->group->details($e_row['e_group']);
		$ms_row = $this->group->msite_details($group_data['gr_id']);
		//microsite adtaok
		foreach ($ms_row as $key => $value)
		{
			$group_data["$key"] = $value;
		}
		//kirakjuk az event adatokat
		foreach ($e_row as $key => $value)
		{
			$group_data["$key"] = $value;
		}
		$month = substr($group_data['e_date_start'], 5, 2);
		$months = $this->lang->line("honapok");
		$month_end = substr($group_data['e_date_end'], 5, 2);
		$group_data['full_date'] =  substr($group_data['e_date_start'], 0, 4).'. '. mb_strtolower($months["$month"], 'UTF-8').' '.substr($group_data['e_date_start'], 8, 2).'. - '.mb_strtolower($months["$month_end"], 'UTF-8').' '.substr($group_data['e_date_end'], 8, 2).'.';
		$fav_num = $this->fav->count_fav($group_data['e_id'], 'EVEN');
		$this->sm->assign('num_favorites', $fav_num);
		if ($this->session->userdata('userid'))
		{
			if ($this->fav->is_fav($this->session->userdata('userid'), $group_data['e_id'], 'EVEN'))
			{
				$card_class = 'kedvenc';
			} else
			{
				$card_class = 'kedvencnek';
			}
		} else
		{
			$card_class = 'kedvencnek';
		}
		$this->sm->assign('card_class', $card_class);

		//közös adatok csoportoknál
		if ($this->session->userdata('userid'))
		{
			if ($this->fav->is_fav($this->session->userdata('userid'), $id, 'EVEN'))
			{
				$card_class = 'kedvenc';
			} else
			{
				$card_class = 'kedvencnek';
			}
		} else
		{
			$card_class = 'kedvencnek';
		}
		$this->sm->assign('card_class', $card_class);
		$fav_num = $this->fav->count_fav($id, 'EVEN');
		$this->sm->assign('num_favorites', $fav_num);

		$this->sm->assign('page_title', $group_data['gr_name_hu']);
		$this->sm->assign('group_data', $group_data);

		$data = $this->comment->comment_list($id, 'EVEN');
		$this->sm->assign('comments', $data);

		//SEO
		$this->site_conf['title']  = $group_data['gr_name_hu'].', '.$group_data['e_name_hu'].' '.$group_data['e_date_start'];
		$this->site_conf['desc']  =  $group_data['gr_name_hu'].', '.$group_data['e_name_hu'].' '.$group_data['e_date_start'].'- borászati események, borfesztivál, borkostoló , borok , tanfolyamok , rendezvények';
		$this->site_conf['keywords']  = $group_data['e_name_hu'].',rendezvény, esemény, borfesztivál, borkostoló'.','.$this->lang->line('default_keywords');

		$this->sm->assign('content', 'event_details.tpl');
	}

	function search()
	{
		$this->load->model('event_model', 'event', true);
		$this->load->helper('utils');
		
		//dátumok
		$res = $this->event->entry_list(' AND e_status = 1  ', ' ', ' ORDER BY  e_date_start ASC ', '');
		$date_option = array();	
		$date_options[0] = $this->lang->line('valasszon');	
		$i = 1;
 	$months = $this->lang->line("honapok");
		foreach ($res as $row)	{
				$akt_date = substr($row['e_date_start'],0,7);			
				if (!in_array($akt_date,$date_options)) {
						$month = substr($row['e_date_start'], 5, 2);
						$date_options[$akt_date] = substr($row['e_date_start'],0,4).' '.$months["$month"];
						$i++;
				}
		}
		$this->sm->assign('s_date_opt', $date_options);
		$this->sm->assign('s_date_sel', $this->input->post('s_date'));
		
		if ($this->input->post('city')) {
				$filter .= ' AND (e_city LIKE "%'.$this->input->post('city').'%")';
				$this->sm->assign('city', $this->input->post('city'));
		}

		if ($this->input->post('s_date')) {
				$filter .= ' AND (e_date_start LIKE "%'.$this->input->post('s_date').'%")';
				$this->sm->assign('s_date', $this->input->post('s_date'));
		}


	 $res = $this->event->entry_list(' AND e_status = 1  '.$filter, ' LIMIT 0,20 ', ' ORDER BY  e_date_start ASC ', '');
	 $this->sm->assign('event_entrys',$res);
	 
		$this->sm->assign('content', 'event_list.tpl');		
	}




}
/* End of file event.php */
/* Location: ./system/application/controllers/event.php */
