<?php

/**
 * Máshová be nem illeszthető kisebb fügvények
*/

function clean_string($s) {
    setlocale(LC_ALL, 'hu_HU.UTF8');
   
    // Konvertálás, kisbetűssé alakítás
    $s = strtolower(iconv('UTF-8', 'ASCII//TRANSLIT', $s));
    // Kiszedünk a szövegből mindent ami nem betű, szám, szóköz vagy /_|-
    $s = preg_replace("/[^a-z0-9\/_| -]/", '', $s);
    // A meghagyott szóköz, /_|- karaktereket "-"-re változtatjuk
    $s = preg_replace("/[\/_| -]+/", '-', $s);

    // A dupla "-" karaktereket eltűntetjük
    $s = trim($s, '-');            

    return $s;
} 

//$array is the MD Array you want to sort.
//$column is the column you wish to sort by.
//$method is how you want the sort performed, such as SORT_DESC
//$has_header is set to true if the first row contains header values that you don't want sorted.
function sort2d_bycolumn($array, $column, $method, $has_header)
  {
  if ($has_header)  $header = array_shift($array);
  foreach ($array as $key => $row) {
    $narray[$key]  = $row[$column]; 
    }
  array_multisort($narray, $method, $array);
  if ($has_header) array_unshift($array, $header);
  return $array;
  }
  

function generatePassword($length=9, $strength=0) {
	$vowels = 'aeuy';
	$consonants = 'bdghjmnpqrstvz';
	if ($strength & 1) {
		$consonants .= 'BDGHJLMNPQRSTVWXZ';
	}
	if ($strength & 2) {
		$vowels .= "AEUY";
	}
	if ($strength & 4) {
		$consonants .= '23456789';
	}
	if ($strength & 8) {
		$consonants .= '@#$%';
	}
 
	$password = '';
	$alt = time() % 2;
	for ($i = 0; $i < $length; $i++) {
		if ($alt == 1) {
			$password .= $consonants[(rand() % strlen($consonants))];
			$alt = 0;
		} else {
			$password .= $vowels[(rand() % strlen($vowels))];
			$alt = 1;
		}
	}
	return $password;
}



/* End of file utils_helper.php */
/* Location: ./system/application/helpers/utils_helper.php */