<?php

class MY_Controller extends Controller {

	public $title;
	public $site_lang;
	
	function MY_Controller()
	{
		parent::Controller();			
		$this->sm->template_dir = APPPATH . "views/frontend";
		$this->sm->compile_dir = APPPATH .  "views/compile_b";	
		
		if ($this->session->userdata('lang')) {
			$this->site_lang = $this->session->userdata('lang');	
		} else {
			$this->site_lang = $this->config->item('DEFAULT_LANG');	
			$this->session->set_userdata('lang',$this->config->item('DEFAULT_LANG'));
		}
		$this->lang->load('general', $this->site_lang);
		$this->site_conf['title']  = $this->lang->line('default_title');
		$this->site_conf['desc']  = $this->lang->line('default_desc');
		$this->site_conf['keywords']  = $this->lang->line('default_keywords');
		$this->sm->config_load('lang_'.$this->site_lang.'.conf');
		$this->site_conf['active_menu'] = '';
	}


	function _output() {
		 //header("Content-Type: text/html; charset=utf-8");
			$this->sm->assign('base_url',base_url());
			
			// ha nem a login hibán van akkor visszaírjuk az aktuális url-t			
			if ( !(strpos(uri_string(),'loginerror')) ) {
				$this->sm->assign('current_url',base_url() . uri_string());
			} else { 
				$this->sm->assign('current_url',base_url()); 
			}
			
			// ha be van jelentkezve a user akkor azt a smartynak is elküldjük
   if ($this->session->userdata('logged_in'))
   {
     $this->sm->assign('logged_in',TRUE);
					$this->sm->assign('user_type',$this->session->userdata('usertype'));
					$this->sm->assign('user_id',$this->session->userdata('userid'));
  			$this->sm->assign('user_name',($this->session->userdata('username')));	
   }	else {
		  $this->sm->assign('logged_in',FALSE); 
   }		
   
   //üzenetbox
			if ($this->session->userdata('msg_str')) {
   	$this->sm->assign('msg_str',$this->session->userdata('msg_str'));
   	$this->session->set_userdata('msg_str','');
   }
      
			//Ha ajaxos kérés akkor nem kell a smartynak végig lefutnia
			if (!$this->ajax_request) {
					//$this->sm->assign('langconf','lang_'.$this->site_lang.'.conf');
					$this->sm->assign('lang',$this->site_lang);			
					$this->sm->assign('site_conf',($this->site_conf));
					$this->sm->display ( 'general.tpl' );
			}
	}	
		
}

class MY_Admin extends MY_Controller {

	public $title;
	public $site_lang;
	
	function MY_Admin()
	{
		parent::MY_Controller();			
		$this->sm->template_dir = APPPATH . "views/backend";
		$this->sm->compile_dir = APPPATH .  "views/compile_a";	
		$this->sm->assign('right_side','right_side_main.tpl');
		if (!$this->session->userdata('logged_in') AND !strpos(uri_string(),'login') ) {
				redirect(base_url().'admin/admin/login');
				//echo uri_string() ;
		}
	}
	
}


/* End of file MY_controller.php */
/* Location: ./system/application/libraries/MY_controller.php */