<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty slug modifier plugin
 *
 * Type:     modifier<br>
 * Name:     slug<br>
 * Purpose:  stringből slugot csinál
 * Example:  {$var|slug}
 * Date:     február 15th, 2011
 * @version  1.0
 * @param string
 * @param string
 * @return string
 */
function smarty_modifier_slug($s)
{
    setlocale(LC_ALL, 'hu_HU.UTF8');
   
    // Konvertálás, kisbetűssé alakítás
    $s = strtolower(iconv('UTF-8', 'ASCII//TRANSLIT', $s));
    // Kiszedünk a szövegből mindent ami nem betű, szám, szóköz vagy /_|-
    $s = preg_replace("/[^a-z0-9\/_| -]/", '', $s);
    // A meghagyott szóköz, /_|- karaktereket "-"-re változtatjuk
    $s = preg_replace("/[\/_| -]+/", '-', $s);

    // A dupla "-" karaktereket eltűntetjük
    $s = trim($s, '-');            

    return $s;
}


?>
